import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function treeData() {
  return request({
    url: '/core/resumption/ruleItem/rule/tree',
    method: 'get'
  })
}

// 查询【请填写功能名称】列表
export function page(query) {
  return request({
    url: '/core/resumption/ruleItem/page',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function get(id) {
  return request({
    url: '/core/resumption/ruleItem/' + id,
    method: 'get'
  })
}

// // 新增【请填写功能名称】
// export function add(data) {
//   return request({
//     url: '/core/resumption/ruleItem',
//     method: 'post',
//     data: data
//   })
// }

// 修改【请填写功能名称】
export function update(data) {
  return request({
    url: '/core/resumption/ruleItem/edit',
    method: 'post',
    data: data,
    showLoading: true,
  })
}

// 删除【请填写功能名称】
export function del(id) {
  return request({
    url: '/core/resumption/ruleItem/' + id,
    method: 'delete'
  })
}



/**
 * 返回履职内容列表
 * @param {} query 
 * @returns 
 */
export function pointSelectionPage(query){
  return request({
    url: '/core/resumption/ruleItem/pointSelectionPage',
    method: 'get',
    params: query
  })
}